#!/bin/bash
t=`date +%Y.%h.%d-%H.%d.%S`
(
sleep 2;
echo -e "\r";
sleep 1;
echo -e "read (0-15,0-15) \r";
sleep 5;
echo -e "set voltage limit 1800 \r";
echo -e "\r";
echo -e "write (0-15,0-15) -900\r"; sleep 10;

echo -e "write (0,0) -1483\r"; sleep 2;
echo -e "write (0,1) -1616\r"; sleep 2;
echo -e "write (0,2) -1523\r"; sleep 2;
echo -e "write (0,3) -1493\r"; sleep 2;
echo -e "write (0,4) -1624\r"; sleep 2;
echo -e "write (0,5) -1602\r"; sleep 2;
echo -e "write (0,6) -1369\r"; sleep 2;
echo -e "write (0,9) -1547\r"; sleep 2;
echo -e "write (0,10) -1395\r"; sleep 2;
echo -e "write (0,11) -1557\r"; sleep 2;
echo -e "write (0,12) -1470\r"; sleep 2;
echo -e "write (0,13) -1661\r"; sleep 2;
echo -e "write (0,14) -1647\r"; sleep 2;
echo -e "write (1,0) -1593\r"; sleep 2;
echo -e "write (1,1) -1342\r"; sleep 2;
echo -e "write (1,2) -1385\r"; sleep 2;
echo -e "write (1,3) -1630\r"; sleep 2;
echo -e "write (1,4) -1350\r"; sleep 2;
echo -e "write (1,5) -1484\r"; sleep 2;
echo -e "write (1,6) -1456\r"; sleep 2;
echo -e "write (1,9) -1607\r"; sleep 2;
echo -e "write (1,10) -1645\r"; sleep 2;
echo -e "write (1,11) -1665\r"; sleep 2;
echo -e "write (1,12) -1547\r"; sleep 2;
echo -e "write (1,13) -1586\r"; sleep 2;
echo -e "write (1,14) -1679\r"; sleep 2;
echo -e "write (2,0) -1643\r"; sleep 2;
echo -e "write (2,1) -1523\r"; sleep 2;
echo -e "write (2,2) -1600\r"; sleep 2;
echo -e "write (2,3) -1519\r"; sleep 2;
echo -e "write (2,4) -1436\r"; sleep 2;
echo -e "write (2,5) -1600\r"; sleep 2;
echo -e "write (2,6) -1423\r"; sleep 2;
echo -e "write (2,9) -1385\r"; sleep 2;
echo -e "write (2,10) -1675\r"; sleep 2;
echo -e "write (2,11) -1401\r"; sleep 2;
echo -e "write (2,12) -1556\r"; sleep 2;
echo -e "write (2,13) -1622\r"; sleep 2;
echo -e "write (2,14) -1457\r"; sleep 2;
echo -e "write (3,0) -1551\r"; sleep 2;
echo -e "write (3,1) -1600\r"; sleep 2;
echo -e "write (3,2) -1554\r"; sleep 2;
echo -e "write (3,3) -1593\r"; sleep 2;
echo -e "write (3,4) -1598\r"; sleep 2;
echo -e "write (3,5) -1518\r"; sleep 2;
echo -e "write (3,6) -1550\r"; sleep 2;
echo -e "write (3,9) -1592\r"; sleep 2;
echo -e "write (3,10) -1521\r"; sleep 2;
echo -e "write (3,11) -1559\r"; sleep 2;
echo -e "write (3,12) -1596\r"; sleep 2;
echo -e "write (3,13) -1459\r"; sleep 2;
echo -e "write (3,14) -1650\r"; sleep 2;
echo -e "write (4,0) -1567\r"; sleep 2;
echo -e "write (4,1) -1559\r"; sleep 2;
echo -e "write (4,2) -1655\r"; sleep 2;
echo -e "write (4,3) -1600\r"; sleep 2;
echo -e "write (4,4) -1630\r"; sleep 2;
echo -e "write (4,5) -1635\r"; sleep 2;
echo -e "write (4,6) -1484\r"; sleep 2;
echo -e "write (4,9) -1631\r"; sleep 2;
echo -e "write (4,10) -1628\r"; sleep 2;
echo -e "write (4,11) -1624\r"; sleep 2;
echo -e "write (4,12) -1566\r"; sleep 2;
echo -e "write (4,13) -1579\r"; sleep 2;
echo -e "write (4,14) -1571\r"; sleep 2;
echo -e "write (5,0) -1677\r"; sleep 2;
echo -e "write (5,1) -1600\r"; sleep 2;
echo -e "write (5,2) -1683\r"; sleep 2;
echo -e "write (5,3) -1456\r"; sleep 2;
echo -e "write (5,4) -1617\r"; sleep 2;
echo -e "write (5,5) -1665\r"; sleep 2;
echo -e "write (5,6) -1359\r"; sleep 2;
echo -e "write (5,9) -1649\r"; sleep 2;
echo -e "write (5,10) -1600\r"; sleep 2;
echo -e "write (5,11) -1610\r"; sleep 2;
echo -e "write (5,12) -1330\r"; sleep 2;
echo -e "write (5,13) -1600\r"; sleep 2;
echo -e "write (5,14) -1623\r"; sleep 2;
echo -e "write (6,0) -1600\r"; sleep 2;
echo -e "write (6,1) -1449\r"; sleep 2;
echo -e "write (6,2) -1293\r"; sleep 2;
echo -e "write (6,3) -1600\r"; sleep 2;
echo -e "write (6,4) -1372\r"; sleep 2;
echo -e "write (6,5) -1420\r"; sleep 2;
echo -e "write (6,6) -1327\r"; sleep 2;
echo -e "write (6,9) -1617\r"; sleep 2;
echo -e "write (6,10) -1281\r"; sleep 2;
echo -e "write (6,11) -1605\r"; sleep 2;
echo -e "write (6,12) -1600\r"; sleep 2;
echo -e "write (6,13) -1540\r"; sleep 2;
echo -e "write (6,14) -1471\r"; sleep 2;
echo -e "write (8,0) -1556\r"; sleep 2;
echo -e "write (8,1) -1537\r"; sleep 2;
echo -e "write (8,2) -1343\r"; sleep 2;
echo -e "write (8,3) -1356\r"; sleep 2;
echo -e "write (8,4) -1455\r"; sleep 2;
echo -e "write (8,5) -1600\r"; sleep 2;
echo -e "write (8,6) -1520\r"; sleep 2;
echo -e "write (8,9) -1378\r"; sleep 2;
echo -e "write (8,10) -1437\r"; sleep 2;
echo -e "write (8,11) -1557\r"; sleep 2;
echo -e "write (8,12) -1498\r"; sleep 2;
echo -e "write (8,13) -1648\r"; sleep 2;
echo -e "write (8,14) -1494\r"; sleep 2;
echo -e "write (9,0) -1652\r"; sleep 2;
echo -e "write (9,1) -1673\r"; sleep 2;
echo -e "write (9,2) -1636\r"; sleep 2;
echo -e "write (9,3) -1564\r"; sleep 2;
echo -e "write (9,4) -1674\r"; sleep 2;
echo -e "write (9,5) -1417\r"; sleep 2;
echo -e "write (9,6) -1493\r"; sleep 2;
echo -e "write (9,9) -1670\r"; sleep 2;
echo -e "write (9,10) -1651\r"; sleep 2;
echo -e "write (9,11) -1650\r"; sleep 2;
echo -e "write (9,12) -1600\r"; sleep 2;
echo -e "write (9,13) -1587\r"; sleep 2;
echo -e "write (9,14) -1599\r"; sleep 2;
echo -e "write (10,0) -1516\r"; sleep 2;
echo -e "write (10,1) -1496\r"; sleep 2;
echo -e "write (10,2) -1632\r"; sleep 2;
echo -e "write (10,3) -1573\r"; sleep 2;
echo -e "write (10,4) -1695\r"; sleep 2;
echo -e "write (10,5) -1361\r"; sleep 2;
echo -e "write (10,6) -1363\r"; sleep 2;
echo -e "write (10,9) -1549\r"; sleep 2;
echo -e "write (10,10) -1642\r"; sleep 2;
echo -e "write (10,11) -1487\r"; sleep 2;
echo -e "write (10,12) -1512\r"; sleep 2;
echo -e "write (10,13) -1647\r"; sleep 2;
echo -e "write (10,14) -1626\r"; sleep 2;
echo -e "write (11,0) -1646\r"; sleep 2;
echo -e "write (11,1) -1600\r"; sleep 2;
echo -e "write (11,2) -1356\r"; sleep 2;
echo -e "write (11,3) -1520\r"; sleep 2;
echo -e "write (11,4) -1530\r"; sleep 2;
echo -e "write (11,5) -1629\r"; sleep 2;
echo -e "write (11,6) -1600\r"; sleep 2;
echo -e "write (11,9) -1600\r"; sleep 2;
echo -e "write (11,10) -1337\r"; sleep 2;
echo -e "write (11,11) -1432\r"; sleep 2;
echo -e "write (11,12) -1358\r"; sleep 2;
echo -e "write (11,13) -1277\r"; sleep 2;
echo -e "write (11,14) -1645\r"; sleep 2;
echo -e "write (12,0) -1655\r"; sleep 2;
echo -e "write (12,1) -1612\r"; sleep 2;
echo -e "write (12,2) -1531\r"; sleep 2;
echo -e "write (12,3) -1540\r"; sleep 2;
echo -e "write (12,5) -1600\r"; sleep 2;
echo -e "write (12,6) -1421\r"; sleep 2;
echo -e "write (12,7) -1541\r"; sleep 2;
echo -e "write (12,9) -1600\r"; sleep 2;
echo -e "write (12,10) -1600\r"; sleep 2;
echo -e "write (12,11) -1550\r"; sleep 2;
echo -e "write (12,12) -1514\r"; sleep 2;
echo -e "write (12,13) -1461\r"; sleep 2;
echo -e "write (12,14) -1698\r"; sleep 2;
echo -e "write (13,0) -1600\r"; sleep 2;
echo -e "write (13,1) -1600\r"; sleep 2;
echo -e "write (13,2) -1477\r"; sleep 2;
echo -e "write (13,3) -1301\r"; sleep 2;
echo -e "write (13,4) -1576\r"; sleep 2;
echo -e "write (13,5) -1447\r"; sleep 2;
echo -e "write (13,6) -1600\r"; sleep 2;
echo -e "write (13,9) -1627\r"; sleep 2;
echo -e "write (13,10) -1584\r"; sleep 2;
echo -e "write (13,11) -1536\r"; sleep 2;
echo -e "write (13,12) -1506\r"; sleep 2;
echo -e "write (13,13) -1296\r"; sleep 2;
echo -e "write (13,14) -1600\r"; sleep 2;
echo -e "write (14,0) -1600\r"; sleep 2;
echo -e "write (14,1) -1600\r"; sleep 2;
echo -e "write (14,2) -1600\r"; sleep 2;
echo -e "write (14,3) -1600\r"; sleep 2;
echo -e "write (14,4) -1600\r"; sleep 2;
echo -e "write (14,5) -1600\r"; sleep 2;
echo -e "write (14,6) -1600\r"; sleep 2;
echo -e "write (14,9) -1583\r"; sleep 2;
echo -e "write (14,10) -1600\r"; sleep 2;
echo -e "write (14,11) -1650\r"; sleep 2;
echo -e "write (14,12) -1472\r"; sleep 2;
echo -e "write (14,13) -1472\r"; sleep 2;
echo -e "write (14,14) -1600\r"; sleep 2;
echo -e "write (15,0) -1579\r"; sleep 2;
echo -e "write (15,1) -1600\r"; sleep 2;
echo -e "write (15,2) -1477\r"; sleep 2;
echo -e "write (15,3) -1666\r"; sleep 2;
echo -e "write (15,4) -1458\r"; sleep 2;
echo -e "write (15,5) -1461\r"; sleep 2;
echo -e "write (15,6) -1494\r"; sleep 2;
echo -e "write (15,7) -1564\r"; sleep 2;
echo -e "write (15,8) -1518\r"; sleep 2;
echo -e "write (15,9) -1380\r"; sleep 2;
echo -e "write (15,10) -1460\r"; sleep 2;
echo -e "write (15,11) -1539\r"; sleep 2;
echo -e "write (15,12) -1530\r"; sleep 2;
echo -e "write (15,13) -1654\r"; sleep 2;
echo -e "write (15,14) -1428\r"; sleep 2;

sleep 2;
echo -e "read (0-15,0-15)\r";
sleep 10;
echo -e "\r";
echo -e "\r";
echo -e "^]";
sleep 1;
) | telnet fms-serv.trg.bnl.local 7005 > ../log/fms_hvon_7005_$t.tex
echo Set new HV
cat ../log/fms_hvon_7005_$t.tex
